#!/usr/bin/python3
"""Thruk master relations contexts."""
from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers


class ThrukMasterRelation(helpers.RelationContext):
    """Relation context for the `thruk-agent` interface."""

    name = "thruk-agent"
    interface = "thruk-agent"

    def get_data(self):
        """Get data from thurk-agent relation.

        jinja won't allow hyphens in identifiers, so we switch to
        underscores here.
        """
        super(ThrukMasterRelation, self).get_data()
        if not hookenv.relation_ids(self.name):
            return
        self["url"] = hookenv.relation_get("url")
        self["nagios_context"] = hookenv.relation_get("nagios_context")
        self["thruk_key"] = hookenv.relation_get("thruk_key")
        self["thruk_id"] = hookenv.relation_get("thruk_id")

        self["thruk_agent"] = self[self.name]


class NEMRelation(helpers.RelationContext):
    """Relation context for the `nrpe-external-master interface."""

    name = "nrpe-external-master"
    interface = "nrpe-external-master"
    required_keys = ["nagios_hostname"]

    def get_data(self):
        """Get data from nrpe-external-master relation.

        jinja won't allow hyphens in identifiers, so we switch to
        underscores here.
        """
        super(NEMRelation, self).get_data()
        if not hookenv.relation_ids(self.name):
            return
        self["nrpe_external_master"] = self[self.name]
